Read one event for the CLI relay
GET
/v1/cli/events/{id}
const url = 'https://api.hooks.events/v1/cli/events/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.hooks.events/v1/cli/events/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
required
object
id
required
Resource id
string
projectId
required
string
endpointId
required
string
eventType
required
string | null
method
required
string
payloadRef
required
string
payloadSize
required
integer
payloadHash
required
string
headersJson
required
Inbound headers as a JSON string
string
normalizedJson
required
string | null
dedupeKey
required
string | null
duplicateOfEventId
required
string | null
filterReason
required
string | null
filterDetail
required
string | null
signatureVerified
required
boolean
receivedAt
required
ISO-8601 timestamp
string
createdAt
required
ISO-8601 timestamp
string
key
additional properties
key
additional properties
Example generated
{ "data": { "id": "example", "projectId": "example", "endpointId": "example", "eventType": "example", "method": "example", "payloadRef": "example", "payloadSize": 1, "payloadHash": "example", "headersJson": "example", "normalizedJson": "example", "dedupeKey": "example", "duplicateOfEventId": "example", "filterReason": "example", "filterDetail": "example", "signatureVerified": true, "receivedAt": "example", "createdAt": "example" }}Validation error
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Missing or invalid credentials
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}The credential lacks the required scope, or the workspace is not writable
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Resource not found
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Rate limited
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Headers
Section titled “Headers”X-RateLimit-Limit
integer
Requests allowed per window
X-RateLimit-Remaining
integer
X-RateLimit-Reset
integer
Seconds until the window resets